import * as z from 'zod';
// prettier-ignore
export const TwilioSettingsResultSchema = z.object({
    id: z.number().int(),
    userId: z.number().int(),
    accountSid: z.string(),
    authToken: z.string(),
    phoneNumber: z.string(),
    greetingMessage: z.string().nullable(),
    templates: z.unknown().nullable(),
    user: z.unknown()
}).strict();

export type TwilioSettingsResultType = z.infer<typeof TwilioSettingsResultSchema>;
